# Natural Language Toolkit: modal_tabulate

def count_words_by_tag(t, genres):
    cfdist = nltk.ConditionalFreqDist()
    for genre in genres:
        for (word,tag) in nltk.corpus.brown.tagged_words(categories=genre):
            if tag == t:
                 cfdist[genre].inc(word.lower())
    return cfdist

def tabulate(cfdist, words):
    print 'Genre ', ' '.join([('%6s' % w) for w in words])
    for genre in sorted(cfdist.conditions()):           # for each genre
        print '%-6s' % genre,                           # print row heading
        for w in words:                                 # for each word
            print '%6d' % cfdist[genre][w],             # print table cell
        print                                           # end the row

